Skip to main content
Control Plane

Get Metadata

Get build, runtime, compiler, and fleet protocol metadata for the control plane.

The protocol versions are the versions agreed on by the fleet, which can differ from the versions compiled into the responding node.

GET https://api.rivet.dev/metadata

Examples

Authentication

No authentication is required.

Responses

200

Build and protocol metadata for the responding node and its fleet.

FieldTypeDescription
build_timestampstring
cargo_profilestring
cargo_targetstring
envoy_protocol_versioninteger
epoxy_protocol_versioninteger
git_shastring
runtimestring
rustc_hoststring
rustc_versionstring
versionstring
{
  "build_timestamp": "<build_timestamp>",
  "cargo_profile": "<cargo_profile>",
  "cargo_target": "<cargo_target>",
  "envoy_protocol_version": 0,
  "epoxy_protocol_version": 0,
  "git_sha": "<git_sha>",
  "runtime": "<runtime>",
  "rustc_host": "<rustc_host>",
  "rustc_version": "<rustc_version>",
  "version": "<version>"
}